filter_chain.hh File Reference
`#include <vector>`
`#include <mia/core/filter.hh>`
`#include <mia/core/factory.hh>`
Include dependency graph for filter_chain.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | TFilterChain< Handler >
| create and use a chain of filters More...

## Functions

template<typename PData, typename... Filters>
PData | run_filters (PData image, Filters... filters)
| run a chain of filters on an input image